#!/usr/bin/python3

import unittest
from unittest.mock import patch

import jardin

class TestJardin(unittest.TestCase):
    @patch("selenium.webdriver.Firefox")
    def test_initialize_webdriver(self, mockFirefox):
        jardin.initialize_webdriver()

        mockFirefox.assert_called_once()

if __name__ == "__main__":
    unittest.main()
